package cn.timer.api.controller.zpgl.sevice;

import cn.timer.api.bean.email.SendMessage;
import cn.timer.api.dto.email.SendMessageDto;
import cn.timer.api.utils.email.EmailUtils;
import org.springframework.beans.BeanUtils;
import org.springframework.mail.javamail.JavaMailSender;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;
public class ZpglSendMessageThread implements  Runnable{


    private JavaMailSender mailSender;
    private SendMessageDto sendMessageDto;
    public ZpglSendMessageThread(JavaMailSender mailSender, SendMessageDto sendMessageDto){
     this.mailSender = mailSender;
     this.sendMessageDto = sendMessageDto;
    }

    @Override
    public void run() {
        try {
            Map<String, Object> map = new HashMap<>(8);
            map.put("rcxxName","吴庆军");
            map.put("bumen","部门");
            map.put("gangwei","岗位");
            map.put("rzTime","2022-04-13");
            map.put("name","幽狼");
            map.put("username",sendMessageDto.getSenderEmail());
            map.put("phone","13560267595");
            map.put("companyName","广东优领科技服务有限公司");
            EmailUtils.sendThymeleafMail(mailSender, map, sendMessageDto.getSubject(), new String[]{sendMessageDto.getReceiverEmail()});
            SendMessage sendMessage = SendMessage.builder().build();
            BeanUtils.copyProperties(sendMessageDto, sendMessage);
            sendMessage.setCreatedTime(new Date());
            sendMessage.insert();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
